org.wildfly.swarm.config.elytron

## Class ClientSslContext<T extends ClientSslContext<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ClientSslContext<T>

-     public class ClientSslContext<T extends ClientSslContext<T>>
      extends Object

  An SSLContext for use on the client side of a connection.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientSslContext.ClientSslContextResources` Child mutators for ClientSslContext

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSslContext(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `activeSessionCount()` The count of current active sessions.
    `T` | `activeSessionCount(Integer value)` The count of current active sessions.
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `cipherSuiteFilter()` The filter to apply to specify the enabled cipher suites.
    `T` | `cipherSuiteFilter(String value)` The filter to apply to specify the enabled cipher suites.
    `String` | `getKey()`
    `String` | `keyManager()` Reference to the key manager to use within the SSLContext.
    `T` | `keyManager(String value)` Reference to the key manager to use within the SSLContext.
    `T` | `protocol(String value)` The enabled protocols.
    `List<String>` | `protocols()` The enabled protocols.
    `T` | `protocols(List<String> value)` The enabled protocols.
    `T` | `protocols(String... args)` The enabled protocols.
    `String` | `providerName()` The name of the provider to use.
    `T` | `providerName(String value)` The name of the provider to use.
    `String` | `providers()` The name of the providers to obtain the Provider[] to use to load the SSLContext.
    `T` | `providers(String value)` The name of the providers to obtain the Provider[] to use to load the SSLContext.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `sslSession(SslSession value)` Add the SslSession object to the list of subresources
    `T` | `sslSession(SslSessionSupplier supplier)` Install a supplied SslSession object to the list of subresources
    `T` | `sslSession(String childKey)` Create and configure a SslSession object to the list of subresources
    `T` | `sslSession(String childKey, SslSessionConsumer consumer)` Create and configure a SslSession object to the list of subresources
    `T` | `sslSessions(List<SslSession> value)` Add all SslSession objects to this subresource
    `ClientSslContext.ClientSslContextResources` | `subresources()`
    `String` | `trustManager()` Reference to the trust manager to use within the SSLContext.
    `T` | `trustManager(String value)` Reference to the trust manager to use within the SSLContext.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSslContext

          public ClientSslContext(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClientSslContext.ClientSslContextResources subresources()

    - #### sslSessions

          public T sslSessions(List<SslSession> value)

      Add all SslSession objects to this subresource
      Parameters:
        `value` - List of SslSession objects.
      Returns:
        this

    - #### sslSession

          public T sslSession(SslSession value)

      Add the SslSession object to the list of subresources
      Parameters:
        `value` - The SslSession to add
      Returns:
        this

    - #### sslSession

          public T sslSession(String childKey,
                              SslSessionConsumer consumer)

      Create and configure a SslSession object to the list of subresources
      Parameters:
        `key` - The key for the SslSession resource
        `config` - The SslSessionConsumer to use
      Returns:
        this

    - #### sslSession

          public T sslSession(String childKey)

      Create and configure a SslSession object to the list of subresources
      Parameters:
        `key` - The key for the SslSession resource
      Returns:
        this

    - #### sslSession

          public T sslSession(SslSessionSupplier supplier)

      Install a supplied SslSession object to the list of subresources

    - #### activeSessionCount

          public Integer activeSessionCount()

      The count of current active sessions.

    - #### activeSessionCount

          public T activeSessionCount(Integer value)

      The count of current active sessions.

    - #### cipherSuiteFilter

          public String cipherSuiteFilter()

      The filter to apply to specify the enabled cipher suites.

    - #### cipherSuiteFilter

          public T cipherSuiteFilter(String value)

      The filter to apply to specify the enabled cipher suites.

    - #### keyManager

          public String keyManager()

      Reference to the key manager to use within the SSLContext.

    - #### keyManager

          public T keyManager(String value)

      Reference to the key manager to use within the SSLContext.

    - #### protocols

          public List<String> protocols()

      The enabled protocols.

    - #### protocols

          public T protocols(List<String> value)

      The enabled protocols.

    - #### protocol

          public T protocol(String value)

      The enabled protocols.

    - #### protocols

          public T protocols(String... args)

      The enabled protocols.

    - #### providerName

          public String providerName()

      The name of the provider to use. If not specified, all providers from providers will be passed to the SSLContext.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use. If not specified, all providers from providers will be passed to the SSLContext.

    - #### providers

          public String providers()

      The name of the providers to obtain the Provider[] to use to load the SSLContext.

    - #### providers

          public T providers(String value)

      The name of the providers to obtain the Provider[] to use to load the SSLContext.

    - #### trustManager

          public String trustManager()

      Reference to the trust manager to use within the SSLContext.

    - #### trustManager

          public T trustManager(String value)

      Reference to the trust manager to use within the SSLContext.

Copyright © 2017 JBoss by Red Hat. All rights reserved.